1

Puppet Vulnerabilities Fixed in Ubuntu 12.10

view story
linux-howto

http://news.softpedia.com – On March 12, in a security notice Canonical published details about Puppet vulnerabilities for its Ubuntu 12.10, Ubuntu 12.04 LTS, and Ubuntu 11.10 operating systems.According to Canonical, several security issues were fixed in Puppet. For example, it was discovered that Puppet agents incorrectly handled certain kick connections in a non-default configuration. An attacker on an authenticated client could use this issue to possibly execute arbitrary code.Also, Puppet inc... (read more) (IT news)